50
abaaaaaaabaaaaaabaaaaaaabaaaabaaabaaaaaaaaaaaaaaba
aaaaaaaaaaaaaaaaaaaabaaaaaabaaaaaabaaaaaaaaaaaaaab
abababaaaaaaaaaabaaaaaaaaaaabaaaaaabaaaaaaababaaaa
aaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaabaaaaba
baaaaaaaaaabaaaaaaaaabaaaaaaaaabaaaaaaaaaaaaaaaaaa
baaaaaaaabaaaaaaaaaaabaaaaaaaaabaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaabaaaaaabaaaaaaaaaaaaaaaaaaa
aaaaabaaaaaaabaaabaaaaaabaaabaaaaaaaaaaaababaaaaaa
aaaaaaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaaaaabaaaaaaaa
abaaaaaaaaaaaaaabaabaaaaaaaaabaaaaaaaaaaaabaaaaaba
aaabaaaaaaaabaaaaabaaaaaaaaaabaaaaaaaaaaaaaaaaaaaa
aaabbabaaaaaaaaaaaaaabbaaaaaabaaaaaaaaaaabaaaaaaba
aaaabaaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaabaaaaaaaaaaa
aaaaaaaaaabaaaaaaaaaaaaabbaaaaaaaaaaabaaaaaaababaa
aabaaaaaaaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaba
aaabaaaaaaaaaaaaaaaaaaabaabaabbabaaaaaabaaabaaaaaa
aaaaaaaaaabaaabaaaaaaabaaaaaaaaaaabbabaaaaaaaabaab
aaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaabaaaabaaaaaaabaaa
aaaaaababaaabaaaaaaaaaaaaaaaababbaaaaaaaaaaaaaaaaa
aaaaabaaaaaaabaaaaaaaaaaabaaaaaaaaaabaaaabbaaabaab
aaabaaaaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaab
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaa
aaaaaaaabaaaabaaababaabaaaaaabaaaaaabaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaabaaaababaaaaaaaaaaaaaaaaaaaaaaaa
aaabaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaaabaaaaaaaaaaa
abaaaaaaaaababaaaaaabbbaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaabaaaaaaaaaaa
aaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaabaabbaaaaa
aaaaaaaaaaaaaaabaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaabaaaaaaabaaaaaaaaaaabaaaaaaaaaababa
aaaaaaaaaaaaaaaaabaaaabaabaaaaaaaaaaaaabbaaaaaaaaa
aaaaaaaaaabaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaabaaaabaaaaabaabaaaabaaaaaaaaaaaaaaabaababaaabaa
aaaaaaabaaaaababaaaaaaaaaaabbabaaaaaaaaaabaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaabaaabaaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaabaaabaaabaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaaba
abaaaaaabbaaaaaaaaaabaaaaaaaaabaaaaabaaaaabaabaaaa
aabaaaaaaaaaaaaaaaaaababaaaaaabaaaaaaaaaaaaabaaaba
aaaaaaaaabaaabbaaabaaaaaaabaaaaaaaaaaaabaaaaaaaaba
aaabaababababaaaaaabaaaababaaaabaaaaaabaaaaaaaaaaa
aaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaabaaaabbaaaaaaaaa
aabaaaaaaaaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaa
baaaaaaaababaaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaabaaaaaaaaaabaaaaaaaabaaaaaaaabbaaaabaaaa
aaaaaaaabaaabaaaaaaaaaaaaaaaaaaaaabaaaaaaabaaabaaa
aaaaaaabaaaaaaaaaaaaaaaaaaaaaaaaaaaabaabaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaabaaababaaaaaabaaaaaabaab
abaaabaaaaaaaabaaabaaaaaabaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaabaaaaaaaaaaabaaaaaaaaaaaaaaaaaaaaaaaabaa
